#include "qscintillaplugin20.h"
#include <QtPlugin>
#include "../Qt4/qsciscintilla.h"

QScintillaPlugin::QScintillaPlugin(QObject *parent)
	: QObject(parent)
{
	initialized = false;
}

void QScintillaPlugin::initialize(QDesignerFormEditorInterface * /* core */)
{
	if (initialized)
		return;
	initialized = true;
}

bool QScintillaPlugin::isInitialized() const
{
	return initialized;
}

QWidget *QScintillaPlugin::createWidget(QWidget *parent)
{
	return new QsciScintilla(parent);
}

QString QScintillaPlugin::name() const
{
	return "QScintilla";
}

QString QScintillaPlugin::group() const
{
	return "Input Widgets";
}

QIcon QScintillaPlugin::icon() const
{
	return QIcon(QPixmap(qscintilla_pixmap));
}

QString QScintillaPlugin::toolTip() const
{
	return "QScintilla programers editor widget";
}

QString QScintillaPlugin::whatsThis() const
{
	return "QScintilla programers editor widget";
}

bool QScintillaPlugin::isContainer() const
{
	return false;
}

QString QScintillaPlugin::domXml() const
{
	return "<widget class=\"QScintilla\" name=\"textEdit\">\n"
		" <property name=\"geometry\">\n"
		"  <rect>\n"
		"   <x>0</x>\n"
		"   <y>0</y>\n"
		"   <width>400</width>\n"
		"   <height>200</height>\n"
		"  </rect>\n"
		" </property>\n"
		" <property name=\"toolTip\" >\n"
		"  <string></string>\n"
		" </property>\n"
		" <property name=\"whatsThis\" >\n"
		"  <string></string>\n"
		" </property>\n"
		"</widget>\n";
}

QString QScintillaPlugin::includeFile() const
{
	return "qsciscintilla.h";
}

Q_EXPORT_PLUGIN2(qscintillaplugin, QScintillaPlugin)
